"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var Pagination_1 = __importDefault(require("@material-ui/lab/Pagination"));
var Search_1 = __importDefault(require("@material-ui/icons/Search"));
var core_1 = require("@material-ui/core");
var Table_ = /** @class */ (function (_super) {
    __extends(Table_, _super);
    function Table_() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.renderAddButton = function () {
            if (_this.props.addHref) {
                return (react_1.default.createElement(core_1.Button, { variant: "contained", component: "a", href: _this.props.addHref, color: "primary", className: "TableAddButton", style: { float: 'right', height: '48px' } }, "Add +"));
            }
        };
        _this.renderTableTitle = function () {
            if (_this.props.title) {
                return (react_1.default.createElement(core_1.Typography, { component: "h2", variant: "h6", color: "primary", style: { float: 'left' }, gutterBottom: true }, _this.props.title));
            }
        };
        _this.renderPagination = function () {
            if (_this.props.pagination) {
                return (react_1.default.createElement(Pagination_1.default, { style: { float: 'right' }, count: _this.props.pagination, onChange: _this.props.onChangePage }));
            }
        };
        _this.renderSearch = function () {
            if (_this.props.search) {
                return (react_1.default.createElement("div", { style: { float: 'left', paddingRight: '10px' } },
                    react_1.default.createElement(core_1.Paper, { component: 'form' },
                        react_1.default.createElement(core_1.InputBase, { placeholder: "Search", inputProps: { 'aria-label': 'search' }, style: { paddingLeft: '5px' }, onChange: function (event) { return _this.handleSearchText(event.target.value); }, onKeyPress: function (event) { return _this.handleKeyPress(event); } }),
                        react_1.default.createElement(core_1.IconButton, { onClick: function () { return _this.handleSearchClick(); } },
                            react_1.default.createElement(Search_1.default, null)))));
            }
        };
        _this.handleSearchText = function (value) {
            _this.props.handleSearchText(value);
        };
        _this.handleSearchClick = function () {
            _this.props.onSearchClick();
        };
        _this.handleKeyPress = function (event) {
            if (event.key === 'Enter') {
                _this.props.onSearchClick();
                event.preventDefault();
            }
        };
        return _this;
    }
    Table_.prototype.render = function () {
        var _this = this;
        return (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement(core_1.Grid, { container: true, spacing: 3 },
                react_1.default.createElement(core_1.Grid, { item: true, xs: 12 },
                    this.renderTableTitle(),
                    react_1.default.createElement("div", { style: { float: 'right' } },
                        this.renderSearch(),
                        this.renderAddButton()))),
            react_1.default.createElement(core_1.Table, { size: "small" },
                react_1.default.createElement(core_1.TableHead, null,
                    react_1.default.createElement(core_1.TableRow, null, this.props.columns.map(function (column) { return (react_1.default.createElement(core_1.TableCell, { key: column.name }, column.name)); }))),
                react_1.default.createElement(core_1.TableBody, null, this.props.data.map(function (row, idx) { return (react_1.default.createElement(core_1.TableRow, { key: idx }, _this.props.columns.map(function (column, idx) {
                    if (column.type === 'link') {
                        return (react_1.default.createElement(core_1.TableCell, { key: idx },
                            react_1.default.createElement("a", { href: row.href }, row[column.key])));
                    }
                    else if (column.type === 'image') {
                        if (row[column.key] !== '') {
                            return (react_1.default.createElement(core_1.TableCell, { key: idx },
                                react_1.default.createElement("img", { src: "" + column.imagePath + row[column.key] })));
                        }
                        else {
                            return (react_1.default.createElement(core_1.TableCell, { key: idx },
                                react_1.default.createElement("img", { src: column.imageOnError, style: __assign({}, column.imageOnErrorStyle) })));
                        }
                    }
                    else {
                        return (react_1.default.createElement(core_1.TableCell, { key: idx }, row[column.key]));
                    }
                }))); }))),
            react_1.default.createElement(core_1.Grid, { container: true, spacing: 3 },
                react_1.default.createElement(core_1.Grid, { item: true, xs: 12 }, this.renderPagination()))));
    };
    return Table_;
}(react_1.default.Component));
exports.default = Table_;
