import React from 'react';
import AppBar from '@material-ui/core/AppBar';
import Toolbar from '@material-ui/core/Toolbar';
import MenuIcon from '@material-ui/icons/Menu';
import IconButton from '@material-ui/core/IconButton';
import Breadcrumbs from '../Breadcrumbs';
import clsx from 'clsx';

class AppBar_ extends React.Component {

  renderBreadcrumbs = () => {
    if ( this.props.breadcrumbs ) {
      return <Breadcrumbs itens={this.props.breadcrumbs} />
    } else {
      return null;
    }
  }

  render () {

    return (
      <AppBar position="absolute" className={clsx('appBar', this.props.open && 'appBarShift')}>
        <Toolbar className='toolbar'>
          <IconButton
              edge="start"
              color="inherit"
              aria-label="open drawer"
              onClick={this.props.handleDrawerOpen}
              className={clsx('menuButton', this.props.open && 'menuButtonHidden')} >
            <MenuIcon />
          </IconButton>
          {this.renderBreadcrumbs()}
        </Toolbar>
      </AppBar>
    );

  }

}

export default AppBar_;