import React from 'react';
import Drawer from '@material-ui/core/Drawer';
import clsx from 'clsx';
import IconButton from '@material-ui/core/IconButton';
import Divider from '@material-ui/core/Divider';
import List from '@material-ui/core/List';
import ChevronLeftIcon from '@material-ui/icons/ChevronLeft';

class Drawer_ extends React.Component {

  doLogout = () => {
    this.props.logout();
    window.location = "/logout";
  }

  render () {

    return (
      <Drawer
          variant="permanent"
          open={this.props.open}
          classes={{
            paper: clsx('drawerPaper', !this.props.open && 'drawerPaperClose'),
          }} >
        <div className='toolbarIcon'>
          <IconButton onClick={this.props.handleDrawerClose}>
            <ChevronLeftIcon />
          </IconButton>
        </div>
        <Divider />
        <List>
          { this.props.children }
        </List>
      </Drawer>
    );

  }    

}

export default Drawer_;