import React from 'react';
import {
  Modal,
  Button,
} from '@material-ui/core';

class RemoveModal extends React.Component {

  render () {

    let modalLeft = `${(window.innerWidth/2)-200}px`;
    let lodalTop = `${(window.innerHeight/2)}px`;

    return (
      <Modal
          aria-labelledby='modal-remove-title'
          aria-describedby='modal-remove-description'
          open={this.props.modalRemoveIsOpen}
          onClose={() => this.props.handleModalRemoveClose()}
          style={{
            position: 'absolute',
          }}>
        <div 
            style={{
              width: '400px',
              backgroundColor: 'white',
              padding: '20px',
              borderRadius: '10px',
              position: 'fixed',
              left: modalLeft,
              top: lodalTop,
            }}>
          <h2 id='modal-remove-title'>Confirm Remove Data</h2>
          <p id='modal-remove-description'>
            Please, confirm that you want to remove this data.
          </p>
          <Button
              style={{ float: 'right' }}
              color='primary'
              onClick={() => this.props.dismissRemove()} >
            Cancel
          </Button>
          <Button
              style={{ float: 'right' }}
              color='secondary'
              onClick={() => this.props.confirmRemove()} >
            Remove
          </Button>
        </div>
      </Modal>
    );
  }

}

export default RemoveModal;